Debian Bug report logs - #364395
sasl2-bin failed when upgraded

version graph

Package: sasl2-bin; Maintainer for sasl2-bin is Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>; Source for sasl2-bin is src:cyrus-sasl2.

Reported by: System Administrator <sysadmin@azrb.com>

Date: Sun, 23 Apr 2006 05:48:02 UTC

Severity: grave

Tags: fixed

Merged with 362511

Found in versions sasl2-bin/2.1.19.dfsg1-0.1, sasl2-bin/2.1.19.dfsg1-0.2, cyrus-sasl2/2.1.19.dfsg1-0.3

Fixed in versions cyrus-sasl-2.1/2.1.22-0~pre01, 2.1.22-1

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to System Administrator <sysadmin@azrb.com>:
New Bug report received and forwarded. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: System Administrator <sysadmin@azrb.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sasl2-bin failed when upgraded
Date: Sun, 23 Apr 2006 13:34:14 +0800
Package: sasl2-bin
Version: 2.1.19.dfsg1-0.1
Severity: critical
Justification: breaks the whole system


invoke-rc.d: initscript saslauthd, action "start" failed.
dpkg: error processing sasl2-bin (--configure):
 subprocess post-installation script returned error exit status 1
 Errors were encountered while processing:
  sasl2-bin
  E: Sub-process /usr/bin/dpkg returned an error code (1)



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-11-em64t-p4
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages sasl2-bin depends on:
ii  base-passwd   3.5.11                     Debian base system master password
ii  libasn1-6-hei 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libc6         2.3.6-7                    GNU C Library: Shared libraries
ii  libcomerr2    1.38+1.39-WIP-2006.04.09-1 common error description library
ii  libdb4.2      4.2.52-24                  Berkeley v4.2 Database Libraries [
ii  libgssapi4-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libkrb5-17-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libldap2      2.1.30-13                  OpenLDAP libraries
ii  libpam0g      0.79-3.1                   Pluggable Authentication Modules l
ii  libroken16-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libsasl2      2.1.19.dfsg1-0.1           Authentication abstraction library
ii  libssl0.9.8   0.9.8a-8                   SSL shared libraries

sasl2-bin recommends no packages.

-- no debconf information



Severity set to `grave'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Mohamed Sulaiman <sulaiman@xtenbit.com>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #12 received at 364395@bugs.debian.org (full text, mbox):

From: Mohamed Sulaiman <sulaiman@xtenbit.com>
To: Debian Bug Tracking System <364395@bugs.debian.org>
Subject: sasl2-bin fail when upgrade or reinstall
Date: Sun, 23 Apr 2006 15:16:53 +0800
Package: sasl2-bin
Version: 2.1.19.dfsg1-0.1
Followup-For: Bug #364395

Setting up sasl2-bin (2.1.19.dfsg1-0.1) ...
Starting SASL Authentication Daemon: (failed).
invoke-rc.d: initscript saslauthd, action "start" failed.
dpkg: error processing sasl2-bin (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 sasl2-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages sasl2-bin depends on:
ii  base-passwd   3.5.11                     Debian base system master password
ii  libasn1-6-hei 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libc6         2.3.6-7                    GNU C Library: Shared libraries
ii  libcomerr2    1.38+1.39-WIP-2006.04.09-1 common error description library
ii  libdb4.2      4.2.52-24                  Berkeley v4.2 Database Libraries [
ii  libgssapi4-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libkrb5-17-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libldap2      2.1.30-13                  OpenLDAP libraries
ii  libpam0g      0.79-3.1                   Pluggable Authentication Modules l
ii  libroken16-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libsasl2      2.1.19.dfsg1-0.1           Authentication abstraction library
ii  libssl0.9.8   0.9.8a-8                   SSL shared libraries

sasl2-bin recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Patrick Nijs <dplus@gmx.net>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #17 received at 364395@bugs.debian.org (full text, mbox):

From: Patrick Nijs <dplus@gmx.net>
To: Debian Bug Tracking System <364395@bugs.debian.org>
Subject: sasl2-bin fails to upgrade
Date: Tue, 25 Apr 2006 14:43:47 +0200
Package: sasl2-bin
Version: 2.1.19.dfsg1-0.1
Followup-For: Bug #364395



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-386
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages sasl2-bin depends on:
ii  base-passwd   3.5.11                     Debian base system master password
ii  libasn1-6-hei 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libc6         2.3.5-13                   GNU C Library: Shared libraries an
ii  libcomerr2    1.38+1.39-WIP-2005.12.31-1 common error description library
ii  libdb4.2      4.2.52-23.1                Berkeley v4.2 Database Libraries [
ii  libgssapi4-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libkrb5-17-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libldap2      2.1.30-13                  OpenLDAP libraries
ii  libpam0g      0.79-3.1                   Pluggable Authentication Modules l
ii  libroken16-he 0.7.2-4                    Libraries for Heimdal Kerberos
ii  libsasl2      2.1.19.dfsg1-0.1           Authentication abstraction library
ii  libssl0.9.8   0.9.8a-8                   SSL shared libraries

sasl2-bin recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to "Patrick Nijs" <macristo@gmx.net>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #22 received at 364395@bugs.debian.org (full text, mbox):

From: "Patrick Nijs" <macristo@gmx.net>
To: <364395@bugs.debian.org>
Subject: Extra info
Date: Tue, 25 Apr 2006 14:58:00 +0200
[Message part 1 (text/plain, inline)]
I just posted a bugreport for sasl-bin, here's some extra info:

testing:~# dpkg --audit
The following packages are only half configured, probably due to problems
configuring them the first time.  The configuration should be retried using
dpkg --configure <package> or the configure menu option in dselect:
 sasl2-bin            Programs for manipulating the SASL users database

testing:~# dpkg --configure sasl2-bin
Setting up sasl2-bin (2.1.19.dfsg1-0.1) ...
Starting SASL Authentication Daemon: (failed).
invoke-rc.d: initscript saslauthd, action "start" failed.
dpkg: error processing sasl2-bin (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 sasl2-bin

testing:/etc/init.d# cat saslauthd 
#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR=/var/run/saslauthd
PARAMS="-m /var/spool/postfix/var/run/saslauthd"
PIDFILE="/var/run/${NAME}/saslauthd.pid"

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
        [ -d "$4" ] || mkdir -p "$4"
        chown -c -h "$1:$2" "$4"
        chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
if [ -e "${DEFAULTS}" ]; then
    . "${DEFAULTS}"
fi

# If we're not to start the daemon, simply exit
if [ "${START}" != "yes" ]; then
    exit 0
fi

# If we have no mechanisms defined
if [ "x${MECHANISMS}" = "x" ]; then
    echo "You need to configure ${DEFAULTS} with mechanisms to be used"
    exit 0
fi

# Add our mechanimsms with the necessary flag
PARAMS="${PARAMS} -a ${MECHANISMS}"

START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME} -- ${PARAMS}"

# Consider our options
case "${1}" in
  start)
        echo -n "Starting ${DESC}: "
        dir=`dpkg-statoverride --list $PWDIR`
        test -z "$dir" || createdir $dir
        if start-stop-daemon ${START} >/dev/null 2>&1 ; then
                echo "${NAME}."
        else
                if start-stop-daemon --test ${START} >/dev/null 2>&1; then
                        echo "(failed)."
                        exit 1
                else
                        echo "${DAEMON} already running."
                        exit 0
                fi
        fi
        ;;
  stop)
        echo -n "Stopping ${DESC}: "
        if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
                --startas ${DAEMON} --retry 10 --name ${NAME} \
                >/dev/null 2>&1 ; then
                        echo "${NAME}."
        else
                if start-stop-daemon --test ${START} >/dev/null 2>&1; then
                        echo "(not running)."
                        exit 0
                else
                        echo "(failed)."
                        exit 1
                fi
        fi
        ;;
  restart|force-reload)
        $0 stop
        exec $0 start
        ;;
  *)
        echo "Usage: /etc/init.d/${NAME} {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #27 received at 364395@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Patrick Nijs <macristo@gmx.net>, 364395@bugs.debian.org
Subject: Re: Bug#364395: Extra info
Date: Tue, 25 Apr 2006 10:27:05 -0300
On Tue, 25 Apr 2006, Patrick Nijs wrote:
> Setting up sasl2-bin (2.1.19.dfsg1-0.1) ...
> Starting SASL Authentication Daemon: (failed).
> invoke-rc.d: initscript saslauthd, action "start" failed.

As usual, debhelper dislikes initscripts failing on upgrade even when it
should just ignore that.

Anyway, please run (as root): 

/bin/sh -x /etc/init.d/saslauthd start >/tmp/debug.output.txt 2>&1

and send the resulting /tmp/debug.output.txt file to the bug report.  Please
make sure there is no private information on the debug output prior to
sending it.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Merged 362511 364395. Request was from Steinar H. Gunderson <sesse@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Josh Metzler <joshdeb@metzlers.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #34 received at 364395@bugs.debian.org (full text, mbox):

From: Josh Metzler <joshdeb@metzlers.org>
To: 364395@bugs.debian.org
Cc: "Patrick Nijs" <macristo@gmx.net>
Subject: user's modifications to init script has a bug?
Date: Tue, 6 Jun 2006 22:19:56 -0400
Looking at the initscript Patrick included in his message, and the one 
shipped with the package, it looks he added this line:

PARAMS="-m /var/spool/postfix/var/run/saslauthd"

However, according to man start-stop-daemon, -m does not take an argument.  
So, my guess is that start-stop-daemon is failing do to this addition.

That doesn't necessarily explain why it is failing for others, though.

Josh



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Greg Nakatsui <genome@digitaljunkies.ca>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #39 received at 364395@bugs.debian.org (full text, mbox):

From: Greg Nakatsui <genome@digitaljunkies.ca>
To: 364395@bugs.debian.org
Cc: macristo@gmx.net
Subject: User's modification to init script
Date: Wed, 07 Jun 2006 08:51:39 -0600
The PARAMS="-m /var/spool/postfix/var/run/saslauthd" puts the pid file 
in postfix's chroot jail and allows postfix to use it.  The problem is 
not that the -m doesn't take a flag as it does for the saslauthd binary. 
 The problem is that the pid file doesn't get removed properly on the 
upgrade.  Removing the pid file located in 
/var/spool/postfix/var/run/saslauthd manually and then restarting the 
daemon solves the problem.

Regards,
Greg.




Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #44 received at 364395@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Josh Metzler <joshdeb@metzlers.org>
Cc: 364395@bugs.debian.org, Patrick Nijs <macristo@gmx.net>
Subject: Re: user's modifications to init script has a bug?
Date: Sat, 10 Jun 2006 17:32:10 +0200
On Tue, Jun 06, 2006, Josh Metzler wrote:
> PARAMS="-m /var/spool/postfix/var/run/saslauthd"
> However, according to man start-stop-daemon, -m does not take an argument.  
> So, my guess is that start-stop-daemon is failing do to this addition.

 PARAMS is passed to saslauthd, not to start-stop-daemon.

 It seems that the submitter passed "-m
 /var/spool/postfix/var/run/saslauthd", but since the directory doesn't
 exist, saslauthd can't create its pidfile.  The submitter should IMO
 create the dir with a mkdir in the /etc/default/saslauthd file.

 This is what I see in a strace -f of /etc/init.d/saslauthd start:

chdir("/var/spool/postfix/var/run/saslauthd") = -1 ENOENT (No such file or directory)
write(2, "saslauthd[10608] :main          "..., 93saslauthd[10608] :main            : could not chdir to: /var/spool/postfix/var/run/saslauthd

 Would you please provide the output of strace -f?

-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to System Administrator <sysadmin@azrb.com>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #49 received at 364395@bugs.debian.org (full text, mbox):

From: System Administrator <sysadmin@azrb.com>
To: Debian Bug Tracking System <364395@bugs.debian.org>
Subject: Upgrading sasl2-bin (2.1.19.dfsg1-0.3) halted during upgrade on Debian Sid
Date: Sat, 16 Sep 2006 11:05:13 +0800
Package: sasl2-bin
Version: 2.1.19.dfsg1-0.3
Followup-For: Bug #364395



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-11-em64t-p4
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages sasl2-bin depends on:
ii  base-passwd             3.5.11           Debian base system master password
ii  libc6                   2.3.6.ds1-4      GNU C Library: Shared libraries
ii  libcomerr2              1.39-1           common error description library
ii  libdb4.3                4.3.29-6         Berkeley v4.3 Database Libraries [
ii  libkrb53                1.4.4-1          MIT Kerberos runtime libraries
ii  libldap2                2.1.30-13+b1     OpenLDAP libraries
ii  libpam0g                0.79-3.2         Pluggable Authentication Modules l
ii  libsasl2                2.1.19.dfsg1-0.3 Authentication abstraction library
ii  libssl0.9.8             0.9.8b-3         SSL shared libraries

sasl2-bin recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#364395; Package sasl2-bin. Full text and rfc822 format available.

Acknowledgement sent to Michael Steinfurth <Michael.Steinfurth@fh-stralsund.de>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #54 received at 364395@bugs.debian.org (full text, mbox):

From: Michael Steinfurth <Michael.Steinfurth@fh-stralsund.de>
To: 364395@bugs.debian.org
Subject: possible solution bug #364395
Date: Sat, 16 Sep 2006 20:28:44 +0200
[Message part 1 (text/plain, inline)]
Hi,

problem:
* if option -m is given in var $PARAMS the saslauthd uses another
workingdirectory, but in init script the cwd and the dir of pidfile are
allways the same.
* problems could be:
	- wd does not exists
	- pidfile not found by initscript during start/stop action

my solution:
* init script now checks if option -m is given and adjusts the
working/pidfile directories for the saslauthd, depending on directory
after -m.

best regards,
Michael
[sasl2-bin.patch (text/plain, inline)]
--- cyrus-sasl2-2.1.19.dfsg1/debian/sasl2-bin.init	2006-09-16 17:36:15.000000000 +0000
+++ cyrus-sasl2-2.1.19.dfsg1.new/debian/sasl2-bin.init	2006-09-16 16:53:12.000000000 +0000
@@ -3,9 +3,8 @@
 NAME=saslauthd
 DAEMON="/usr/sbin/${NAME}"
 DESC="SASL Authentication Daemon"
-DEFAULTS=/etc/default/saslauthd
-PWDIR=/var/run/saslauthd
-PIDFILE="/var/run/${NAME}/saslauthd.pid"
+DEFAULTS=/etc/default/${NAME}
+DEFAULTPWD=/var/run/${NAME}
 
 createdir() {
 # $1 = user
@@ -23,6 +22,13 @@
 if [ -e "${DEFAULTS}" ]; then
     . "${DEFAULTS}"
 fi
+# adjust working directory
+PWDIR=$(echo ${PARAMS} | xargs -n 1 echo | sed -n '/^-m$/{n;p}')
+	if [ -z ${PWDIR} ];then
+        	PWDIR=${DEFAULTPWD}
+	fi
+
+PIDFILE="${PWDIR}/${NAME}.pid"
 
 # If we're not to start the daemon, simply exit
 if [ "${START}" != "yes" ]; then
@@ -44,7 +50,7 @@
 case "${1}" in
   start)
         echo -n "Starting ${DESC}: "
-	dir=`dpkg-statoverride --list $PWDIR`
+	dir=`dpkg-statoverride --list ${DEFAULTPWD} | sed "s#${DEFAULTPWD}#${PWDIR}#"`
 	test -z "$dir" || createdir $dir
 	if start-stop-daemon ${START} >/dev/null 2>&1 ; then
 		echo "${NAME}."
@@ -57,7 +63,7 @@
 			exit 0
 		fi
 	fi
-        ;;
+	;;
   stop)
         echo -n "Stopping ${DESC}: "
         if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
--- cyrus-sasl2-2.1.19.dfsg1/debian/changelog	2006-09-16 17:36:15.000000000 +0000
+++ cyrus-sasl2-2.1.19.dfsg1.new/debian/changelog	2006-09-16 15:36:21.000000000 +0000
@@ -1,3 +1,12 @@
+cyrus-sasl2 (2.1.19.dfsg1-0.4) unstable; urgency=low
+
+  * Non-maintainer upload during BSP
+  * changed init script for option -m in saslauthd
+    (Thanks Elmar Hoffmann for your help) 
+    Closes: #364395.
+
+ -- Michael Steinfurth <michael.steinfurth@fh-stralsund.de>  Sat, 16 Sep 2006 15:25:52 +0000
+
 cyrus-sasl2 (2.1.19.dfsg1-0.3) unstable; urgency=high
 
   * Non-maintainer upload

Tags added: fixed Request was from Michael Steinfurth <michael.steinfurth@fh-stralsund.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from "Roberto C. Sanchez" <roberto@connexer.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.1.22-1, send any further explanations to System Administrator <sysadmin@azrb.com> Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 14:37:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:09:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.